# $Revision: 1.54 $, $Date: 2002/10/24 22:13:31 $
#
# Conditional build:
# _without_libcap
#
Summary:	better replacement for inetd
Summary(pl):	lepszy zamiennik dla inetd
Name:		rlinetd
Version:	0.5.1
Release:	16
License:	GPL
Group:		Daemons
Vendor:		Mikolaj J. Habryn <dichro-rlinetd@rcpt.to>
Source0:	http://www.eris.rcpt.to/rlinetd/download/%{name}-%{version}.tar.gz
Source1:	%{name}.inet.sh
Source2:	%{name}.8.pl
Patch0:		%{name}-execve.patch
Patch1:		%{name}-tcpwrappers.patch
Patch2:		%{name}-string.h.patch
Patch3:		%{name}-no_libnsl.patch
Patch4:		%{name}-ac25x.patch
Patch5:		%{name}-gcc3.patch
URL:		http://www.eris.rcpt.to/rlinetd/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
%{!?_without_libcap:BuildRequires: libcap-devel}
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
PreReq:		rc-scripts
PreReq:		psmisc
Requires:	rc-inetd
Requires:	/etc/rc.d/init.d/rc-inetd
Provides:	inetdaemon
Obsoletes:	inetdaemon
Obsoletes:	inetd
Obsoletes:	xinetd
Obsoletes:	netkit-base

%define         _sysconfdir     /etc

%description
rlinetd is a connection manager which binds and listens to a number of
ports, and performs specified actions when a connection is made. It is
intended as a replacement for the BSD inetd program.

%description -l pl
rlinetd jest zarzdc pocze, ktry podczepia si i sucha na wielu
portach, wykonujc zadane czynnoci, kiedy nastpi poczenie. Jest
zaplanowany jako zamiennik dla programu inetd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
rm -f aux/missing
%{__libtoolize}
%{__autoheader}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-libwrap \
	--with-libcap%{?_without_libcap:=no} \
	--with-lsf \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/sysconfig

%{__make} install DESTDIR="$RPM_BUILD_ROOT"

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inet.script
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/pl/man8/rlinetd.8

:> $RPM_BUILD_ROOT%{_sysconfdir}/rlinetd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd restart 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start rlinetd" 1>&2
fi

%preun
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd stop
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README{,.capabilities,.inetd} THANKS THOUGHTS TODO
%attr(640,root,root) %ghost %{_sysconfdir}/rlinetd.conf
%attr(755,root,root) %{_sbindir}/rlinetd
%attr(755,root,root) %dir %{_libdir}/rlinetd
%attr(755,root,root) %{_libdir}/rlinetd/*.so*
%attr(640,root,root) /etc/sysconfig/rc-inet.script
%{_mandir}/man[58]/*
%lang(pl) %{_mandir}/pl/man8/*

%define date   %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rlinetd.spec,v $
Revision 1.54  2002/10/24 22:13:31  qboosh
- updated pl rlinetd(8) manual from PTM (ankry)
- gcc3 patch: volatile must be specified also in extern
- release 16

Revision 1.53  2002/10/09 13:14:46  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.52  2002/07/25 10:13:04  qboosh
- added ac25x patch needed for autoconf 2.53
- new %%doc, release 15

Revision 1.51  2002/06/23 20:32:34  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.50  2002/05/21 23:14:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.49  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.48  2002/02/22 23:29:41  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/01/18 02:14:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.46  2001/09/26 13:00:53  qboosh
- BuildRequires: autoconf, automake, libtool; cosmetics

Revision 1.45  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.43  2001/07/11 03:07:19  kloczek
- release 14,
- regenerate ac/am/lt files,
- add no_libnsl patch (linking with libnsl isn't neccessary),
- simplifications in %install,
- do nt include libtool script and static modules (added --disable-static to
  ac parameters).

Revision 1.42  2001/06/04 15:11:21  kloczek
- pl man page for rlinetd is back.

Revision 1.41  2001/06/04 14:49:19  baggins
- dropped pl man page - WHERE it is?

Revision 1.40  2001/05/29 11:10:48  undefine
- fix in source file name 1->8
- creating directory for pl man
- release 13

Revision 1.39  2001/05/28 18:03:14  undefine
- added Obsoletes: xinetd
- added pl manpage

Revision 1.38  2001/04/28 15:06:21  qboosh
- Prereq: psmisc (because of killall)
- release

Revision 1.37  2001/04/13 22:01:23  baggins
- fixed building with linux 2.4

Revision 1.36  2001/02/14 23:04:36  kloczek
- release 11: rebuild for produce new binaries for sparc (old seg faults
  but seems recompilation cure this).

Revision 1.35  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.34  2000/11/16 23:53:19  agaran
Added buildrequres flex

Revision 1.33  2000/11/15 22:27:04  wiget
allow building witout libcap (like on 2.4.0-testX kernels)

Revision 1.32  2000/09/30 22:11:53  kloczek
- adapterized and added using rpm new automation suit.

Revision 1.31  2000/09/30 22:04:00  baggins
- release 9
- added tcpsrappers patch
	(fixes "ABORT - unknown opcode 19" problem, when service is denied)

Revision 1.30  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.29  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.28  2000/04/12 21:42:27  zagrodzki
- execve.patch
- release 8

Revision 1.27  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.26  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.25  2000/03/01 17:39:51  kloczek
- release 7,
- fix to avoid problems print port number in "" (misiek),
- much beter error handling and displaing error messages on parsing each
  file with service description (me),
- spec adapterized.

Revision 1.24  2000/01/13 06:09:18  kloczek
- inetdaemon, inetd and netkit-base added to Obsoletes.

Revision 1.23  2000/01/13 03:42:57  kloczek
- release 6,
- removed perl script inetd2rlinetd (not neccessary),
- simplified %preun.

Revision 1.22  1999/12/21 19:53:54  kloczek
- do not stop inet server on upgrade (fix in %preun).

Revision 1.21  1999/12/21 16:33:27  wiget
- s/BuildPrereq/BuildRequires/
- added reload_config()

Revision 1.20  1999/10/27 10:42:07  baggins
- release 4
- fixed init script

Revision 1.19  1999/10/10 17:15:17  kloczek
- removed old init script for rlinetd.

Revision 1.18  1999/10/10 14:41:13  baggins
- release++
- fixed syntax error in initscript

Revision 1.17  1999/10/06 06:55:17  waszi
- small fixes

Revision 1.16  1999/10/03 16:05:03  kloczek
- more cvs keywords.

Revision 1.15  1999/10/03 16:02:36  kloczek
- release 2.

Revision 1.14  1999/09/30 16:56:30  wiget
- removed /etc/rc.d/init.d/rlinetd (is obsoleted by /etc/rc.d/init.d/rc-inetd
- fixed rc-inetd.script

Revision 1.13  1999/09/11 14:01:05  misiek
- fixed requires (PR#51)

Revision 1.12  1999/09/05 12:25:04  kloczek
- release 1.1.

Revision 1.11  1999/09/03 16:39:01  misiek
- updated to 0.5.1

Revision 1.10  1999/09/02 12:58:48  kloczek
- release 1.1,
- addec passing LDFLAGS="-s" to ./configure enviroment instead stripping
  binaries in %install,
- starting prepare for rc-inetd.

Revision 1.9  1999/08/25 17:41:14  misiek
update to 0.5

Revision 1.8  1999/08/12 16:33:29  misiek
update

Revision 1.7  1999/07/29 13:16:20  misiek
added missing /etc/rlinetd.d

Revision 1.6  1999/07/23 09:58:11  alchemyx
updated to 0.4 release

Revision 1.5  1999/07/22 12:09:19  misiek
update to newest snapshot

Revision 1.4  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.3  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jul  6 1999 Michal Margula <alchemyx@pld.org.pl>
[0.3-1]
- initial release
- automatic generation of /etc/rlinetd.conf using /etc/inetd.conf
- dirty patch for configuration location added - should be removed in next
  release
